{{- if .Values.graphinsights.enabled }}
apiVersion: v1
kind: Service
metadata:
  name: {{ include "cmem.servicename-graphinsights" . }}
  labels:
    {{- include "cmem.labels-graphinsights" . | nindent 4 }}
spec:
  type: {{ .Values.graphinsights.service.type }}
  ports:
    - port: {{ .Values.graphinsights.service.port }}
      targetPort: {{ .Values.graphinsights.service.port }}
      protocol: TCP
      name: http
  selector:
    {{- include "cmem.selectorLabels-graphinsights" . | nindent 4 }}
{{ end -}}
